Bug 1124020 - server.c: Packet too short or invalid while reading known answer record. (Maybe a UTF-8 problem?)
Summary: server.c: Packet too short or invalid while reading known answer record. (May...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 20:17 UTC by djcb
Modified: 2015-06-29 21:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:49:02 UTC


Attachments (Terms of Use)

Description djcb 2014-07-28 20:17:43 UTC
Description of problem:

Since a few weeks, avahi-daemon logs a lot of warnings: 
   "server.c: Packet too short or invalid while reading known answer record. (Maybe a UTF-8 problem?)"

Version-Release number of selected component (if applicable):

0.6.31

How reproducible:

Watch the log -- but the problems is shown when then are certain other devices around that (apparently) use bonjour/zeroconf in a way that avahi does not like.
Have not seen any adverse effects other than the log so far though.

Steps to Reproduce:
1. watch the log

Actual results:

Lots of warnings.

Expected results:

No warnings.

Additional info:

I added the following to avahi-core/server.c:


            if (!(record = avahi_dns_packet_consume_record(p, &unique))) {
		    unsigned u;
		    avahi_log_warn(__FILE__": Packet too short (%u) or invalid while reading known answer record. (Maybe a UTF-8 problem?)", (unsigned)p->size);
		    for (u = 0; u != p->size; ++u) {
			    char kar;
			    kar = (char)AVAHI_DNS_PACKET_DATA(p)[u];	    
			    avahi_log_warn ("[%02x] (%c)", kar, isprint(kar) ? kar : '.');
		    }
		    goto fail;
            }


Now, I can see in my log:

Jul 28 12:49:41 wintersun avahi-daemon[32482]: server.c: Packet too short (53) or invalid while reading known answer record. (Maybe a UTF-8 problem?)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: server.c: Packet too short (53) or invalid while reading known answer record. (Maybe a UTF-8 problem?)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [01] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [01] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [0b] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [5f] (_)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [67] (g)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6f] (o)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6f] (o)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [67] (g)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6c] (l)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [65] (e)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [63] (c)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [61] (a)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [73] (s)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [74] (t)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [04] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [5f] (_)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [74] (t)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [63] (c)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [70] (p)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [05] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6c] (l)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6f] (o)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [63] (c)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [61] (a)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6c] (l)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [0c] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [00] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [01] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [1b] (.)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [41] (A)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [64] (d)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [72] (r)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [69] (i)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [61] (a)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [6e] (n)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [20] ( )
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [43] (C)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [61] (a)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [73] (s)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [74] (t)
Jul 28 12:49:41 wintersun avahi-daemon[32482]: [69] (i)

Some, apparently something _googlecast._tcp; and note that the name at the end has its last 6 characters chopped off.

Interestingly, it seems wireshark also sees at least some of these packets as 'malformed'.

Comment 1 Fedora End Of Life 2015-05-29 12:29:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:49:02 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.